Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc.adapter
Class BlobJDBCAdapter

    java.lang.Object
      org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
          org.codehaus.activemq.store.jdbc.adapter.BlobJDBCAdapter

All Implemented Interfaces:
  JDBCAdapter

public class BlobJDBCAdapter
extends DefaultJDBCAdapter

This JDBCAdapter inserts and extracts BLOB data using the getBlob()/setBlob() operations. This is a little more involved since to insert a blob you have to: 1: insert empty blob. 2: select the blob 3: finally update the blob with data value. The databases/JDBC drivers that use this adapter are:

Version:
  $Revision: 1.1 $

Nested Class Summary

Nested classes inherited from class org.codehaus.activemq.store.jdbc.JDBCAdapter
`JDBCAdapter.MessageListResultHandler`

Field Summary

Fields inherited from class org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
`sequenceGenerator, statementProvider`

Constructor Summary
`BlobJDBCAdapter()`
`BlobJDBCAdapter(StatementProvider provider)`

Method Summary
`void` | `doAddMessage(java.sql.Connection c, long seq, java.lang.String messageID, java.lang.String destinationName, byte[] data)`
`byte[]` | `doGetMessage(java.sql.Connection c, long seq)`

Methods inherited from class org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
`doAddXid, doCreateTables, doGetSubscriberEntry, doGetXids, doLoadPreparedTransactions, doRecover, doRecoverSubscription, doRemoveMessage, doRemoveXid, doSetLastAck, doSetSubscriberEntry, getBinaryData, getSequenceGenerator, initSequenceGenerator, setBinaryData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlobJDBCAdapter

    public BlobJDBCAdapter()

### BlobJDBCAdapter

    public BlobJDBCAdapter(StatementProvider provider)

Method Detail

### doAddMessage

    public void doAddMessage(java.sql.Connection c,
                             long seq,
                             java.lang.String messageID,
                             java.lang.String destinationName,
                             byte[] data)
                      throws java.sql.SQLException,
                             JMSException

  Specified by:
    `doAddMessage` in interface `JDBCAdapter`
  Overrides:
    `doAddMessage` in class `DefaultJDBCAdapter`
  Throws:
    `java.sql.SQLException`
    `JMSException`

### doGetMessage

    public byte[] doGetMessage(java.sql.Connection c,
                               long seq)
                        throws java.sql.SQLException

  Specified by:
    `doGetMessage` in interface `JDBCAdapter`
  Overrides:
    `doGetMessage` in class `DefaultJDBCAdapter`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.